### GET /settings/ui Source: https://codeberg.org/swagger.v1.json API endpoint for GET /settings/ui ```markdown ### Responses #### 200 - response GeneralUISettings ### Example Usage ```bash curl -X GET "https://api.example.com/settings/ui" ``` ``` -------------------------------- ### GET /version Source: https://codeberg.org/swagger.v1.json API endpoint for GET /version ```markdown ### Responses #### 200 - response ServerVersion ### Example Usage ```bash curl -X GET "https://api.example.com/version" ``` ``` -------------------------------- ### GET /user/quota/packages Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/quota/packages ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response QuotaUsedPackageList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/quota/packages?page=value&limit=value" ``` ``` -------------------------------- ### GET /licenses Source: https://codeberg.org/swagger.v1.json API endpoint for GET /licenses ```markdown ### Responses #### 200 - response LicenseTemplateList ### Example Usage ```bash curl -X GET "https://api.example.com/licenses" ``` ``` -------------------------------- ### GET /settings/repository Source: https://codeberg.org/swagger.v1.json API endpoint for GET /settings/repository ```markdown ### Responses #### 200 - response GeneralRepoSettings ### Example Usage ```bash curl -X GET "https://api.example.com/settings/repository" ``` ``` -------------------------------- ### GET /packages/{owner} Source: https://codeberg.org/swagger.v1.json API endpoint for GET /packages/{owner} ```markdown ### Parameters - **owner** (string, path, required): owner of the packages - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results - **type** (string, query, optional): package type filter - **q** (string, query, optional): name filter ### Responses #### 200 - response PackageList #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/packages/{owner}?page=value&limit=value&type=value&q=value" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo} Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo} ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo ### Responses #### 200 - response Repository #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}" ``` ``` -------------------------------- ### POST /repos/{owner}/{repo}/push_mirrors-sync Source: https://codeberg.org/swagger.v1.json API endpoint for POST /repos/{owner}/{repo}/push_mirrors-sync ```markdown ### Parameters - **owner** (string, path, required): owner of the repo to sync - **repo** (string, path, required): name of the repo to sync ### Responses #### 200 - response APIEmpty is an empty response #### 400 - response APIError is error format response #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response #### 413 - response QuotaExceeded ### Example Usage ```bash curl -X POST "https://api.example.com/repos/{owner}/{repo}/push_mirrors-sync" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/media/{filepath} Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/media/{filepath} ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **filepath** (string, path, required): filepath of the file to get - **ref** (string, query, optional): The name of the commit/branch/tag. Default the repository’s default branch (usually master) ### Responses #### 200 - Returns raw file content. Empty response body #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/media/{filepath}?ref=value" ``` ``` -------------------------------- ### GET /users/search Source: https://codeberg.org/swagger.v1.json API endpoint for GET /users/search ```markdown ### Parameters - **q** (string, query, optional): keyword - **uid** (string, query, optional): ID of the user to search for - **sort** (string, query, optional): sort order of results - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - SearchResults of a successful search Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/users/search?q=value&uid=value&sort=value&page=value&limit=value" ``` ``` -------------------------------- ### POST /repos/{owner}/{repo}/push_mirrors Source: https://codeberg.org/swagger.v1.json API endpoint for POST /repos/{owner}/{repo}/push_mirrors ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **body** (CreatePushMirrorOption, body, optional) ### Responses #### 200 - response PushMirror #### 400 - response APIError is error format response #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response #### 413 - response QuotaExceeded ### Example Usage ```bash curl -X POST "https://api.example.com/repos/{owner}/{repo}/push_mirrors" ``` ``` -------------------------------- ### GET /user/times Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/times ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results - **since** (string, query, optional): Only show times updated after the given time. This is a timestamp in RFC 3339 format - **before** (string, query, optional): Only show times updated before the given time. This is a timestamp in RFC 3339 format ### Responses #### 200 - response TrackedTimeList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/times?page=value&limit=value&since=value&before=value" ``` ``` -------------------------------- ### GET /user/teams Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/teams ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response TeamList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/teams?page=value&limit=value" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/push_mirrors Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/push_mirrors ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response PushMirrorList #### 400 - response APIError is error format response #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/push_mirrors?page=value&limit=value" ``` ``` -------------------------------- ### POST /repos/{owner}/{repo}/wiki/new Source: https://codeberg.org/swagger.v1.json API endpoint for POST /repos/{owner}/{repo}/wiki/new ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **body** (CreateWikiPageOptions, body, optional) ### Responses #### 201 - response WikiPage #### 400 - response APIError is error format response #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response #### 413 - response QuotaExceeded #### 423 - response APIRepoArchivedError is an error that is raised when an archived repo should be modified ### Example Usage ```bash curl -X POST "https://api.example.com/repos/{owner}/{repo}/wiki/new" ``` ``` -------------------------------- ### GET /user/subscriptions Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/subscriptions ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response RepositoryList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/subscriptions?page=value&limit=value" ``` ``` -------------------------------- ### GET /user/starred/{owner}/{repo} Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/starred/{owner}/{repo} ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo ### Responses #### 204 - response APIEmpty is an empty response #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/starred/{owner}/{repo}" ``` ``` -------------------------------- ### POST /repos/{owner}/{repo}/mirror-sync Source: https://codeberg.org/swagger.v1.json API endpoint for POST /repos/{owner}/{repo}/mirror-sync ```markdown ### Parameters - **owner** (string, path, required): owner of the repo to sync - **repo** (string, path, required): name of the repo to sync ### Responses #### 200 - response APIEmpty is an empty response #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response #### 413 - response QuotaExceeded ### Example Usage ```bash curl -X POST "https://api.example.com/repos/{owner}/{repo}/mirror-sync" ``` ``` -------------------------------- ### GET /user/stopwatches Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/stopwatches ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response StopWatchList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/stopwatches?page=value&limit=value" ``` ``` -------------------------------- ### GET /user/starred Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/starred ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response RepositoryList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/starred?page=value&limit=value" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/signing-key.gpg Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/signing-key.gpg ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo ### Responses #### 200 - GPG armored public key Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/signing-key.gpg" ``` ``` -------------------------------- ### GET /user/settings Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/settings ```markdown ### Responses #### 200 - response UserSettings #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/settings" ``` ``` -------------------------------- ### API Overview: Forgejo API Source: https://codeberg.org/swagger.v1.json This documentation describes the Forgejo API. ```yaml # Forgejo API # Version: 15.0.0-127-f54e36b6+gitea-1.22.0 This documentation describes the Forgejo API. # Base URL: Not specified ``` -------------------------------- ### GET /user/repos Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/repos ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results - **order_by** (string, query, optional): order the repositories ### Responses #### 200 - response RepositoryList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response #### 422 - response APIValidationError is error format response related to input validation ### Example Usage ```bash curl -X GET "https://api.example.com/user/repos?page=value&limit=value&order_by=value" ``` ``` -------------------------------- ### POST /packages/{owner}/{type}/{name}/-/link/{repo_name} Source: https://codeberg.org/swagger.v1.json API endpoint for POST /packages/{owner}/{type}/{name}/-/link/{repo_name} ```markdown ### Parameters - **owner** (string, path, required): owner of the package - **type** (string, path, required): type of the package - **name** (string, path, required): name of the package - **repo_name** (string, path, required): name of the repository to link. ### Responses #### 201 - response APIEmpty is an empty response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X POST "https://api.example.com/packages/{owner}/{type}/{name}/-/link/{repo_name}" ``` ``` -------------------------------- ### GET /user/quota/check Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/quota/check ```markdown ### Parameters - **subject** (string, query, required): subject of the quota ### Responses #### 200 - Returns true if the action is accepted. Empty response body #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response #### 422 - response APIValidationError is error format response related to input validation ### Example Usage ```bash curl -X GET "https://api.example.com/user/quota/check?subject=value" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/push_mirrors/{name} Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/push_mirrors/{name} ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **name** (string, path, required): remote name of push mirror ### Responses #### 200 - response PushMirror #### 400 - response APIError is error format response #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/push_mirrors/{name}" ``` ``` -------------------------------- ### GET /user/quota/attachments Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/quota/attachments ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response QuotaUsedAttachmentList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/quota/attachments?page=value&limit=value" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/topics Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/topics ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response TopicNames #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/topics?page=value&limit=value" ``` ``` -------------------------------- ### POST /repos/{owner}/{repo}/sync_fork Source: https://codeberg.org/swagger.v1.json API endpoint for POST /repos/{owner}/{repo}/sync_fork ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo ### Responses #### 204 - response APIEmpty is an empty response #### 400 - response APIError is error format response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X POST "https://api.example.com/repos/{owner}/{repo}/sync_fork" ``` ``` -------------------------------- ### GET /user/quota/artifacts Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/quota/artifacts ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response QuotaUsedArtifactList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/quota/artifacts?page=value&limit=value" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/raw/{filepath} Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/raw/{filepath} ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **filepath** (string, path, required): filepath of the file to get - **ref** (string, query, optional): The name of the commit/branch/tag. Default the repository’s default branch (usually master) ### Responses #### 200 - Returns raw file content. Empty response body #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/raw/{filepath}?ref=value" ``` ``` -------------------------------- ### GET /user/quota Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/quota ```markdown ### Responses #### 200 - response QuotaInfo #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/quota" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/keys Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/keys ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **key_id** (string, query, optional): the key_id to search for - **fingerprint** (string, query, optional): fingerprint of the key - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response DeployKeyList #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/keys?key_id=value&fingerprint=value&page=value&limit=value" ``` ``` -------------------------------- ### GET /user/orgs Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/orgs ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response OrganizationListWithoutPagination - Organizations without pagination headers #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/orgs?page=value&limit=value" ``` ``` -------------------------------- ### GET /packages/{owner}/{type}/{name}/{version}/files Source: https://codeberg.org/swagger.v1.json API endpoint for GET /packages/{owner}/{type}/{name}/{version}/files ```markdown ### Parameters - **owner** (string, path, required): owner of the package - **type** (string, path, required): type of the package - **name** (string, path, required): name of the package - **version** (string, path, required): version of the package ### Responses #### 200 - response PackageFileList #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/packages/{owner}/{type}/{name}/{version}/files" ``` ``` -------------------------------- ### GET /user/list_blocked Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/list_blocked ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response BlockedUserList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/list_blocked?page=value&limit=value" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/actions/runs Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/actions/runs ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results, default maximum page size is 50 - **event** (string, query, optional): Returns workflow run triggered by the specified events. For example, `push`, `pull_request` or `workflow_dispatch`. - **status** (string, query, optional): Returns workflow runs with the check run status or conclusion that is specified. For example, a conclusion can be success or a status can be in_progress. Only Forgejo Actions can set a status of waiting, pending, or requested. - **run_number** (string, query, optional): Returns the workflow run associated with the run number. - **head_sha** (string, query, optional): Only returns workflow runs that are associated with the specified head_sha. - **ref** (string, query, optional): Only return workflow runs that involve the given Git reference, for example, `refs/heads/main`. - **workflow_id** (string, query, optional): Only return workflow runs that involve the given workflow ID. ### Responses #### 200 - response ActionRunList #### 400 - response APIError is error format response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/actions/runs?page=value&limit=value&event=value&status=value&run_number=value&head_sha=value&ref=value&workflow_id=value" ``` ``` -------------------------------- ### GET /user/keys Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/keys ```markdown ### Parameters - **fingerprint** (string, query, optional): fingerprint of the key - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response PublicKeyList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/keys?fingerprint=value&page=value&limit=value" ``` ``` -------------------------------- ### GET /user/hooks Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/hooks ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response HookListWithoutPagination - Hooks without pagination headers #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/hooks?page=value&limit=value" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/hooks Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/hooks ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response HookList #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/hooks?page=value&limit=value" ``` ``` -------------------------------- ### POST /repos/{owner}/{repo}/keys Source: https://codeberg.org/swagger.v1.json API endpoint for POST /repos/{owner}/{repo}/keys ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **body** (CreateKeyOption, body, optional) ### Responses #### 201 - response DeployKey #### 404 - response APINotFound is a not found error response #### 422 - response APIValidationError is error format response related to input validation ### Example Usage ```bash curl -X POST "https://api.example.com/repos/{owner}/{repo}/keys" ``` ``` -------------------------------- ### GET /user/gpg_keys Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/gpg_keys ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response GPGKeyList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/gpg_keys?page=value&limit=value" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/sync_fork Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/sync_fork ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo ### Responses #### 200 - response SyncForkInfo #### 400 - response APIError is error format response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/sync_fork" ``` ``` -------------------------------- ### GET /user/gpg_key_token Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/gpg_key_token ```markdown ### Responses #### 200 - response APIString is a string response #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/gpg_key_token" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/git/notes/{sha} Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/git/notes/{sha} ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **sha** (string, path, required): a git ref or commit sha - **verification** (string, query, optional): include verification for every commit (disable for speedup, default 'true') - **files** (string, query, optional): include a list of affected files for every commit (disable for speedup, default 'true') ### Responses #### 200 - response Note #### 404 - response APINotFound is a not found error response #### 422 - response APIValidationError is error format response related to input validation ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/git/notes/{sha}?verification=value&files=value" ``` ``` -------------------------------- ### GET /user/following Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/following ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response UserList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/following?page=value&limit=value" ``` ``` -------------------------------- ### GET /user/followers Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/followers ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response UserList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/followers?page=value&limit=value" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/languages Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/languages ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo ### Responses #### 200 - response LanguageStatistics #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/languages" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/subscription Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/subscription ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo ### Responses #### 200 - response WatchInfo #### 404 - User is not watching this repo or repo do not exist User is not watching this repo or repo do not exist ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/subscription" ``` ``` -------------------------------- ### GET /user/emails Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/emails ```markdown ### Responses #### 200 - response EmailList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/emails" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/actions/variables Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/actions/variables ```markdown ### Parameters - **owner** (string, path, required): name of the owner - **repo** (string, path, required): name of the repository - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response VariableList #### 400 - response APIError is error format response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/actions/variables?page=value&limit=value" ``` ``` -------------------------------- ### GET /user/applications/oauth2 Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/applications/oauth2 ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response OAuth2ApplicationList #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/applications/oauth2?page=value&limit=value" ``` ``` -------------------------------- ### GET /packages/{owner}/{type}/{name}/{version} Source: https://codeberg.org/swagger.v1.json API endpoint for GET /packages/{owner}/{type}/{name}/{version} ```markdown ### Parameters - **owner** (string, path, required): owner of the package - **type** (string, path, required): type of the package - **name** (string, path, required): name of the package - **version** (string, path, required): version of the package ### Responses #### 200 - response Package #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/packages/{owner}/{type}/{name}/{version}" ``` ``` -------------------------------- ### GET /user/actions/variables Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/actions/variables ```markdown ### Parameters - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response VariableList #### 400 - response APIError is error format response #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/actions/variables?page=value&limit=value" ``` ``` -------------------------------- ### GET /user/actions/runners/jobs Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/actions/runners/jobs ```markdown ### Parameters - **labels** (string, query, optional): a comma separated list of run job labels to search for ### Responses #### 200 - response RunJobList is a list of action run jobs #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/actions/runners/jobs?labels=value" ``` ``` -------------------------------- ### POST /repos/{owner}/{repo}/contents/{filepath} Source: https://codeberg.org/swagger.v1.json API endpoint for POST /repos/{owner}/{repo}/contents/{filepath} ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **filepath** (string, path, required): path of the file to create - **body** (CreateFileOptions, body, required) ### Responses #### 201 - response FileResponse #### 403 - response APIError is error format response #### 404 - response APINotFound is a not found error response #### 409 - response APIConflict is a conflict empty response #### 413 - response QuotaExceeded #### 422 - response APIError is error format response #### 423 - response APIRepoArchivedError is an error that is raised when an archived repo should be modified ### Example Usage ```bash curl -X POST "https://api.example.com/repos/{owner}/{repo}/contents/{filepath}" ``` ``` -------------------------------- ### GET /user/actions/runners Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user/actions/runners ```markdown ### Parameters - **visible** (string, query, optional): whether to include all visible runners (true) or only those that are directly owned by the user (false) - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response ActionRunnerList is a list of Forgejo Action runners #### 400 - response APIError is error format response #### 401 - response APIUnauthorizedError is a unauthorized error response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/user/actions/runners?visible=value&page=value&limit=value" ``` ``` -------------------------------- ### POST /repos/{owner}/{repo}/git/notes/{sha} Source: https://codeberg.org/swagger.v1.json API endpoint for POST /repos/{owner}/{repo}/git/notes/{sha} ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **sha** (string, path, required): a git ref or commit sha - **body** (NoteOptions, body, optional) ### Responses #### 200 - response Note #### 404 - response APINotFound is a not found error response #### 422 - response APIValidationError is error format response related to input validation ### Example Usage ```bash curl -X POST "https://api.example.com/repos/{owner}/{repo}/git/notes/{sha}" ``` ``` -------------------------------- ### GET /user Source: https://codeberg.org/swagger.v1.json API endpoint for GET /user ```markdown ### Responses #### 200 - response User #### 401 - response APIUnauthorizedError is a unauthorized error response #### 403 - response APIForbiddenError is a forbidden error response ### Example Usage ```bash curl -X GET "https://api.example.com/user" ``` ``` -------------------------------- ### GET /topics/search Source: https://codeberg.org/swagger.v1.json API endpoint for GET /topics/search ```markdown ### Parameters - **q** (string, query, required): keyword to search for - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - SearchResults of a successful search Empty response body #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/topics/search?q=value&page=value&limit=value" ``` ``` -------------------------------- ### POST /repos/{owner}/{repo}/sync_fork/{branch} Source: https://codeberg.org/swagger.v1.json API endpoint for POST /repos/{owner}/{repo}/sync_fork/{branch} ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **branch** (string, path, required): The branch ### Responses #### 204 - response APIEmpty is an empty response #### 400 - response APIError is error format response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X POST "https://api.example.com/repos/{owner}/{repo}/sync_fork/{branch}" ``` ``` -------------------------------- ### GET /signing-key.ssh Source: https://codeberg.org/swagger.v1.json API endpoint for GET /signing-key.ssh ```markdown ### Responses #### 200 - SSH public key in OpenSSH authorized key format Empty response body #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/signing-key.ssh" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/labels Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/labels ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **sort** (string, query, optional): Specifies the sorting method: mostissues, leastissues, or reversealphabetically. - **page** (string, query, optional): page number of results to return (1-based) - **limit** (string, query, optional): page size of results ### Responses #### 200 - response LabelList #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/labels?sort=value&page=value&limit=value" ``` ``` -------------------------------- ### GET /signing-key.gpg Source: https://codeberg.org/swagger.v1.json API endpoint for GET /signing-key.gpg ```markdown ### Responses #### 200 - GPG armored public key Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/signing-key.gpg" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/contents Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/contents ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **ref** (string, query, optional): The name of the commit/branch/tag. Default the repository’s default branch (usually master) ### Responses #### 200 - response ContentsListResponse #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/contents?ref=value" ``` ``` -------------------------------- ### POST /repos/{owner}/{repo}/hooks Source: https://codeberg.org/swagger.v1.json API endpoint for POST /repos/{owner}/{repo}/hooks ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **body** (CreateHookOption, body, optional) ### Responses #### 201 - response Hook #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X POST "https://api.example.com/repos/{owner}/{repo}/hooks" ``` ``` -------------------------------- ### GET /repos/{owner}/{repo}/flags/{flag} Source: https://codeberg.org/swagger.v1.json API endpoint for GET /repos/{owner}/{repo}/flags/{flag} ```markdown ### Parameters - **owner** (string, path, required): owner of the repo - **repo** (string, path, required): name of the repo - **flag** (string, path, required): name of the flag ### Responses #### 204 - response APIEmpty is an empty response #### 403 - response APIForbiddenError is a forbidden error response #### 404 - response APINotFound is a not found error response ### Example Usage ```bash curl -X GET "https://api.example.com/repos/{owner}/{repo}/flags/{flag}" ``` ``` -------------------------------- ### GET /settings/attachment Source: https://codeberg.org/swagger.v1.json API endpoint for GET /settings/attachment ```markdown ### Responses #### 200 - response GeneralAttachmentSettings ### Example Usage ```bash curl -X GET "https://api.example.com/settings/attachment" ``` ```